# module Kramdown::Converter::MathEngine::Itex2MML

Uses the `Itex2MML` library for converting math formulas to MathML.

### Constants

AVAILABLE

  `Itex2MML` is available if this constant is `true`.

### Public Class Methods

call(converter, el, opts) click to toggle source

       # File lib/kramdown/converter/math_engine/itex2mml.rb
    23 def self.call(converter, el, opts)
    24   type = el.options[:category]
    25   parser = ::Itex2MML::Parser.new
    26   result = (type == :block ? parser.block_filter(el.value) : parser.inline_filter(el.value))
    27
    28   attr = el.attr.dup
    29   attr.delete('xmlns')
    30   attr.delete('display')
    31   result.insert("<math".length, converter.html_attributes(attr))
    32
    33   (type == :block ? "#{' '*opts[:indent]}#{result}\n" : result)
    34 end